﻿/*******************************************************************************
 * Copyright (c) 2000, 2005 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     IBM Corporation - initial API and implementation
 * Port to the D programming language:
 *     Frank Benoit <benoit@tionex.de>
 *******************************************************************************/
module dwt.custom.LineBackgroundEvent;


import dwt.events.TypedEvent;
import dwt.graphics.Color;
import dwt.custom.StyledTextEvent;

/**
 * This event is sent when a line is about to be drawn.
 */
public class LineBackgroundEvent : TypedEvent {

    /**
     * line start offset
     */
    public int lineOffset;

    /**
     * line text
     */
    public char[] lineText;

    /**
     * line background color
     */
    public Color lineBackground;

    static final long serialVersionUID = 3978711687853324342L;

public this(StyledTextEvent e) {
    super(cast(Object)e);
    lineOffset = e.detail;
    lineText = e.text;
}
}


